%bcond_without  tests
#
Summary:	Input preprocessor for less
Summary(pl.UTF-8):	Preprocesor wejścia dla narzędzia less
Name:		lesspipe
Version:	2.16
Release:	1
License:	GPL v2
Group:		Applications/Text
Source0:	https://github.com/wofr06/lesspipe/archive/refs/tags/v%{version}.tar.gz
# Source0-md5:	77c95a5b9668fd93df5f90af6b778750
URL:		https://www-zeuthen.desy.de/~friebel/unix/lesspipe.html
BuildRequires:	perl-base
BuildRequires:	rpmbuild(macros) >= 1.316
Suggests:	file
Suggests:	gnupg
Suggests:	highlight >= 3.0
Suggests:	mailcap >= 2.3
Suggests:	objdump
Suggests:	openssl-tools
Conflicts:	highlight < 2.16
Conflicts:	less < 394-7.1
Conflicts:	tar < 1:1.22
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
lesspipe is an input preprocessor for less.

Before less opens a file, it first gives your input preprocessor a
chance to modify the way the contents of the file are displayed.

This package contains PLD Linux script to display various archive
contents in human readable way.

%description -l pl.UTF-8
lesspipe to preprocesor wejścia dla narzędzia less.

Zanim less otworzy plik, najpierw pozwala preprocesorowi zmodyfikować
sposób wyświetlania pliku.

Ten pakiet zawiera skrypt z PLD Linuksa wyświetlający zawartość
różnych archiwów w sposób czytelny dla człowieka.

%prep
%setup -q

%{__sed} -E -i -e '1s,#!\s*/usr/bin/env\s+perl(\s|$),#!%{__perl}\1,' \
      archive_color \
      code2color \
      sxw2txt \
      vimcolor

%{__sed} -E -i -e '1s,#!\s*/usr/bin/env\s+bash(\s|$),#!/bin/bash\1,' \
      lesscomplete

%build
./configure \
    --prefix=%{_prefix} \
    --shell=/bin/bash

%{__make}

%{__sed} -E -i -e '1s,#!\s*/usr/bin/env\s+bash(\s|$),#!/bin/bash\1,' \
      lesspipe.sh

%if %{with tests}
%{__make} test
%endif

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT/etc/env.d

%{__make} install \
    DESTDIR=$RPM_BUILD_ROOT

# Prepare env file
cat > $RPM_BUILD_ROOT/etc/env.d/LESSOPEN <<'EOF'
LESSOPEN="|lesspipe.sh %s"
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%env_update

%postun
%env_update

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/%{name}.sh
%attr(755,root,root) %{_bindir}/archive_color
%attr(755,root,root) %{_bindir}/code2color
%attr(755,root,root) %{_bindir}/lesscomplete
%attr(755,root,root) %{_bindir}/sxw2txt
%attr(755,root,root) %{_bindir}/vimcolor
#%{_datadir}/bash-completion/less_completion
%{_mandir}/man1/lesspipe.1*
%config(noreplace,missingok) %verify(not md5 mtime size) /etc/env.d/*
%changelog
* Fri Nov 15 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/lesspipe.git;a=log;h=auto/th/lesspipe-2.16-1

* Fri Nov 15 2024 Arkadiusz Miśkiewicz <arekm@maven.pl> 710b842
- Up to 2.16

* Tue Sep 24 2024 Arkadiusz Miśkiewicz <arekm@maven.pl> 8aea595
- Up to 2.14

* Thu Jun 08 2023 Arkadiusz Miśkiewicz <arekm@maven.pl> 8d50801
- Switch to maintained lesspipe. Version 2.07

* Mon Apr 02 2018 Tomasz Pala <gotar@pld-linux.org> 9fd8fc8
- sqlite3 extension, run-mailcap without DISPLAY and another pager
- solved here instead of mailcap [2e19c8e1da5875a5b895c46a127621c223e1f208]
highlight --no-trailing-nl available since 2.16

* Mon Apr 02 2018 Tomasz Pala <gotar@pld-linux.org> 37b506f
- less forking, cosmetics

* Tue Jan 02 2018 Tomasz Pala <gotar@pld-linux.org> 9863d29
- decode MPEG-TS, rel. 3; older highlight supported --out-format

* Wed Aug 23 2017 Tomasz Pala <gotar@pld-linux.org> de67b35
- highlight 3.0 beta+ support
-disabled separate output format options (use --out-format instead)

* Wed Aug 31 2016 Tomasz Pala <gotar@pld-linux.org> 964315f
- suggest some commonly used tools (except for file archivers),
example gpg -> gpg2 fallback

* Sat Aug 20 2016 Elan Ruusamäe <glen@delfi.ee> 92ea88f
- assume .gpg encrypted files, like from pass(1)

* Sat Jul 02 2016 Tomasz Pala <gotar@pld-linux.org> dfd64c2
- depending on the environment, less might be parent or grandparent
(via SHELL) of lesspipe.sh, try to handle both; bump ver. to 1.56

* Sun Oct 11 2015 Elan Ruusamäe <glen@delfi.ee> bf9fdf3
- .crx - Google Chrome extensions

* Sat May 23 2015 Elan Ruusamäe <glen@delfi.ee> d3c08fd
- add .whl - A built-package format for Python.

* Tue Oct 07 2014 Elan Ruusamäe <glen@delfi.ee> a5675c4
- *.so: display DT_NEEDED and SONAME info

* Wed Apr 03 2013 Elan Ruusamäe <glen@delfi.ee> c80c7ec
- view *.gem as tar files

* Mon Nov 05 2012 Elan Ruusamäe <glen@delfi.ee> 19a71b0
- 1.55: fix .bz handling, add tar.bz

* Mon Aug 20 2012 Elan Ruusamäe <glen@delfi.ee> 7fd7068
- recognize hudson/jenkins plugin packages (*.hpi, *.jpi)

* Tue Apr 24 2012 Elan Ruusamäe <glen@pld-linux.org> 7077f6c
- show squash files (.sqf)

* Sun Oct 16 2011 Tomasz Pala <gotar@pld-linux.org> cdeb5d4
- rel. 1.52: added rrd info, sorted archives with most common alternatives
  first and keeping *.tar.XYZ before *.XYZ

* Fri Oct 07 2011 Elan Ruusamäe <glen@pld-linux.org> 557b92e
- *.ova is TAR archive

* Sun Oct 02 2011 Elan Ruusamäe <glen@pld-linux.org> 0139577
- list .phar with phar

